using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.FactorDetailsCQ.EventHandlers;

public class UpdateFactorDetailsEventHandler : INotificationHandler<UpdateFactorDetailsEvent>
{
    private readonly ILogger<
        UpdateFactorDetailsEventHandler> _logger;

    public UpdateFactorDetailsEventHandler(ILogger<UpdateFactorDetailsEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(UpdateFactorDetailsEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
